<div class="modal-header bg-primary text-white">
    <h1 class="modal-title" id="modal-basic-title" class="texto">Infomacion</h1>
</div>
<form action="/action_page.php">
    <form (ngSubmit)="onSubmit()">
        <div class="modal-body">
            <div class="container">

                <div style="margin-left: 13%;" class=" col-sm-8">
                    <div class="form-floating mb-3">
                        <input disabled id="codticket" required [(ngModel)]="NumTicket" name="codticket" type="text"
                            class="form-control" placeholder="Numero de Ticket" maxlength="20">
                        <label for="categoria">Numero Ticket</label>
                    </div>
                </div>

                <div style="margin-left: 13%;" class=" col-sm-8">
                    <div class="form-floating mb-3">
                        <input name="cedula" type="text" id="cedula" disabled required [(ngModel)]="cedulaUsario"
                            name="cedula" class="form-control" placeholder="Numero de cedula" maxlength="20">
                        <label for="categoria">cedula</label>
                    </div>
                </div>

                <div style="margin-left: 13%;" class=" col-sm-8">
                    <div class="form-floating mb-3">
                        <input name="usuario" id="usuario" required [(ngModel)]="nombreUsuario" disabled type="text"
                            class="form-control" placeholder="Nombre Usuario" maxlength="20">
                        <label for="categoria">Nombre Usuario</label>
                    </div>
                </div>

                <div style="margin-left: 13%;" class=" col-sm-8">
                    <div class="form-floating mb-3">
                        <input name="categoria" id="categoria" required [(ngModel)]="categoria" disabled
                            style="margin-right: 5%;" type="text" class="form-control" placeholder="categoria"
                            maxlength="20">
                        <label for="categoria">categoria</label>
                    </div>
                </div>
                <div style="margin-left: 13%;" class=" col-sm-8">
                    <div class="form-floating mb-3">
                        <input style="margin-right: 5%;" type="text" disabled id="sla" required [(ngModel)]="sla"
                            name="sla" class="form-control" maxlength="20">
                        <label for="categoria">SLA</label>
                    </div>
                </div>

                <div style="margin-left: 13%;" class=" col-sm-8">
                    <div class="form-floating mb-3">
                        <input type="text" id="criticidad" required [(ngModel)]="criticidad" name="url" disabled
                            style="margin-right: 5%;" type="criticidad" class="form-control" placeholder="Criticidad"
                            maxlength="20">
                        <label for="categoria">Criticidad:</label>
                    </div>
                </div>

                <div style="margin-left: 13%;" class=" col-sm-8">
                    <div class="form-floating mb-3">
                        <select class="form-select" id='severidad' [(ngModel)]="nivelImpacto"
                            [ngModelOptions]="{standalone: true}" #Dato (change)=" updateSeveridad(Dato.value)"
                            aria-label="Floating label select example">
                            <option *ngFor="let severidad of severida | async" [value]="severidad.codSeveridad">
                                {{severidad.nivelSeveridad}} </option>
                        </select>
                        <label for="tecnico">Severidad</label>
                    </div>
                </div>

               


                <div style="margin-left: 13%;" class=" col-sm-8">
                    <div class="form-floating">
                        <select class="form-select" id="tecnico" name="tecnico" [(ngModel)]="cedulaTecnico"
                            aria-label="Floating label select example" #Dat (change)=" asignarTecnico(Dat.value)">
                            <option *ngFor="let tecnico of tecnico | async " [value]="tecnico.codTecnico">
                                {{tecnico.email}}</option>
                        </select>
                        <label for="tecnico">Tecnico:</label>
                    </div>
                </div>



                <div class="modal-footer">
                    <button [disabled]="isLoading" class="btn btn-outline-danger mr-2"
                        (click)="modal.close('Cancel')">Cancelar</button>
                    <button [disabled]="isLoading" class="btn btn-outline-primary mr-2" (click)=" mensaje()">Editar</button>
                </div>
            </div>
        </div>
    </form>

</form>